%global    gem_name    thread_order

Summary:       Test helper for ordering threaded code
Name:          rubygem-%{gem_name}
Version:       1.1.1
Release:       4%{?dist}
License:       MIT
URL:           https://github.com/JoshCheek/thread_order
Source0:       https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildRequires: ruby(release) rubygems-devel rubygem(rspec)
BuildArch:     noarch

%description
Test helper for ordering threaded code.

%prep
gem unpack %{SOURCE0}
%autosetup -D -T -n %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec

%install
%gem_install

mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

pushd %{buildroot}
rm -f .%{gem_cache}

pushd .%{gem_instdir}
rm -rf \
    .gitignore .travis.yml \
    Gemfile \
    spec/ \
    %{gem_name}.gemspec \
    %{nil}

popd
popd

%check
FAILFILE=()
FAILTEST=()
FAILFILE+=("spec/thread_order_spec.rb")
FAILTEST+=("is implemented without depending on the stdlib")

pushd .%{gem_instdir}
for ((i = 0; i < ${#FAILFILE[@]}; i++)) {
    sed -i -e "\@${FAILTEST[$i]}@s|do$|, :broken => true do|" ${FAILFILE[$i]}
}

rspec spec/ || rspec spec/ --tag ~broken
popd

%files
%license    %{gem_instdir}/License.txt
%doc    %{gem_instdir}/Readme.md
%doc    %{gem_docdir}
%{gem_libdir}
%{gem_spec}

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 20 2023 Shuo Wang <abushwang@tencent.com> - 1.1.1-1
- initial build
